Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class DefXMLParser

`java.lang.Object
oracle.xml.parser.v2.XMLParser
oracle.xml.parser.v2.DOMParser
oracle.jbo.mom.xml.DefXMLParser`

All Implemented Interfaces:
  XMLConstants, XMLProperties

public class DefXMLParser
extends DOMParser

     NAME
          DefXMLParser.java -
     DESCRIPTION

          DefXMLParser has utility functions to Parse and read an XML file.

     NOTES

Version:
  INTERNAL

Field Summary

Fields inherited from class oracle.xml.parser.v2.DOMParser
`CXML_DISK_FILE, DEBUG_MODE, ERROR_ENCODING, ERROR_STREAM, NODE_FACTORY, PAGE_MANAGER, PARTIAL_DOM, SCHEMA_PSVI, SHOW_WARNINGS`

Fields inherited from class oracle.xml.parser.v2.XMLParser
`attributes, BASE_URL, DTD_OBJECT, EXPAND_ENTITYREF, PARSER, PARSER_CDATA, PARSER_DTD, RESOLVE_ENTITY_DEFAULT, SCHEMA_LANGUAGE, SCHEMA_OBJECT, SCHEMA_SOURCE, STANDALONE, USE_DTD_ONLY_FOR_VALIDATION`

Fields inherited from interface oracle.xml.parser.v2.XMLConstants
`AMP, ASTERISK, AUTO_VALIDATION, cANY, cATTLIST, cCDATA, cCDATAEND, cCDATASTART, cCOMMENTEND, cCOMMENTSTART, cDECCREF, cDECLSTART, cDOCTYPE, cELEMENT, cEMPTY, cEMPTYTAGEND, cENCODING, cENDTAGSTART, cENTITIES, cENTITY, cFIXED, cHEXCREF, cID, cIDREF, cIDREFS, cIGNORE, cIMPLIED, cINCLUDE, cNDATA, cNMTOKEN, cNMTOKENS, cNOTATION, COLON, COMMA, cPIEND, cPISTART, cPUBLIC, cREQUIRED, cSTANDALONE, cSYSTEM, cVERSION, cXML, DEFAULT_HASHSIZE_BIG, DEFAULT_HASHSIZE_SMALL, DEFAULT_PREFIX, DOUBLEQUOTE, DTD_VALIDATION, EOF, EQ, ERROR, EXCLAMATION, EXT_GEN_ENTITY_FEATURE, EXT_PAR_ENTITY_FEATURE, FATAL_ERROR, FDIGIT, FLETTER, FMISCNAME, FSTARTNAME, FWHITESPACE, HASH, ICOUNT, ISTART, LEFTSQB, LPAREN, nameCDATA, nameCOMMENT, nameDOCUMENT, nameDOCUMENTFRAGMENT, nameENCODING, nameNameSpace, NAMESPACE_FEATURE, NAMESPACE_PREFIX_FEATURE, nameSpaceSeparator, nameSTANDALONE, nameTEXT, nameVERSION, nameXML, nameXMLLang, nameXMLNamespace, nameXMLNSNamespace, nameXMLSpace, nameXSLPI, NONVALIDATING, OR, PARTIAL_VALIDATION, PERCENT, PLUS, QMARK, QUOTE, RIGHTSQB, RPAREN, SCHEMA_LAX_VALIDATION, SCHEMA_STRICT_VALIDATION, SCHEMA_VALIDATION, SEMICOLON, SLASH, STRING_INTERN_FEATURE, TAGEND, TAGSTART, USE_LOC2_FEATURE, VALIDATION_FEATURE, WARNING`

Constructor Summary
`DefXMLParser(DefinitionManager mgr)` Constructor

Method Summary
`static java.lang.String` | `getComment(XMLDocument doc)` Get the comments in the XML file Utility function to return all comments in a XML file
`DTD` | `getJboDTD()` Deprecated. since 10.1.3. Use `DefinitionManager.getJboDTD()`.
`static DTD` | `getJboDTD(java.lang.String mDTDFileName)` Parses a DTD file and creates a DTD object.

Methods inherited from class oracle.xml.parser.v2.DOMParser
`getAttribute, getDoctype, getDocument, parseDTD, parseDTD, parseDTD, parseDTD, parseDTD, reset, retainCDATASection, setAttribute, setDebugMode, setErrorStream, setErrorStream, setErrorStream, setNodeFactory, showWarnings`

Methods inherited from class oracle.xml.parser.v2.XMLParser
`addFilter, getBaseURL, getEntityResolver, getErrorHandler, getIs1010Compatible, getNoShowForInvalidURLError, getReleaseVersion, getReportedCHClasses, getSchemaValidator, getValidationMode, getValidationModeValue, getXMLProperty, getXMLSchema, isXMLPropertyReadOnly, isXMLPropertySupported, parse, parse, parse, parse, parse, resetPreserveWhitespace, setBaseURL, setDoctype, setEntityResolver, setError, setErrorHandler, setLocale, setPreserveWhitespace, setSchemaValidationMode, setSchemaValidatorProperty, setValidationMode, setValidationMode, setXMLProperty, setXMLSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefXMLParser

    public DefXMLParser(DefinitionManager mgr)
                 throws XMLParseException

  Constructor

Method Detail

### getComment

    public static java.lang.String getComment(XMLDocument doc)

  Get the comments in the XML file Utility function to return all comments in a XML file
  Parameters:
    `doc` - : XML document
  Returns:
    String : String of all concatenated comments

### getJboDTD

    public DTD getJboDTD()
                  throws XMLParseException

  Deprecated. since 10.1.3. Use `DefinitionManager.getJboDTD()`.
  Returns the DTD associated with this parser (which is also the DTD associated with defMgr).
  Returns:
    the DTD.
  Throws:
    `XMLParseException`

### getJboDTD

    public static DTD getJboDTD(java.lang.String mDTDFileName)
                         throws XMLParseException

  Parses a DTD file and creates a DTD object.
  Parameters:
    `mDTDFileName` - name of DTD file.
  Returns:
    the DTD.
  Throws:
    `XMLParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.